package routers

import (
	"ERP_storage/controllers"
	beego "github.com/beego/beego/v2/server/web"
)

func init() {
	serviceType := beego.NewNamespace("/ServiceType",
		beego.NSRouter("/List", &controllers.ContractReviewController{}, "*:ServiceType_List"), // 服务类型列表
		beego.NSRouter("/Add", &controllers.ContractReviewController{}, "*:ServiceType_Add"),   // 添加服务类型
		beego.NSRouter("/Edit", &controllers.ContractReviewController{}, "*:ServiceType_Edit"), // 编辑服务类型
		beego.NSRouter("/Del", &controllers.ContractReviewController{}, "*:ServiceType_Del"),   // 删除服务类型
	)
	serviceItem := beego.NewNamespace("/ServiceItem",
		beego.NSRouter("/List", &controllers.ContractReviewController{}, "*:ServiceItem_List"), // 服务内容列表
		beego.NSRouter("/Add", &controllers.ContractReviewController{}, "*:ServiceItem_Add"),   // 添加服务内容
		beego.NSRouter("/Edit", &controllers.ContractReviewController{}, "*:ServiceItem_Edit"), // 编辑服务内容
		beego.NSRouter("/Del", &controllers.ContractReviewController{}, "*:ServiceItem_Del"),   // 删除服务内容
	)
	contractReview := beego.NewNamespace("/ContractReview") //beego.NSRouter("/List", &controllers.ContractReviewController{}, "*:Contract_List"),                 // 服务评审列表
	//beego.NSRouter("/User_List", &controllers.ContractReviewController{}, "*:Contract_User_List"),       // 服务评审列表 - 销售人员
	//beego.NSRouter("/Get", &controllers.ContractReviewController{}, "*:Contract_Get"),                   // 服务评审详情
	//beego.NSRouter("/Approval", &controllers.ContractReviewController{}, "*:Contract_Approval"),         // 服务评审详情
	//beego.NSRouter("/Add", &controllers.ContractReviewController{}, "*:Contract_Add"),                   // 添加服务评审
	//beego.NSRouter("/Edit", &controllers.ContractReviewController{}, "*:Contract_Edit"),                 // 编辑服务评审
	//beego.NSRouter("/Del", &controllers.ContractReviewController{}, "*:Contract_Del"),                   // 删除服务评审
	//beego.NSRouter("/Product_List", &controllers.ContractReviewController{}, "*:Contract_Product_List"), // 服务评审产品列表
	//beego.NSRouter("/Out_List", &controllers.ContractReviewController{}, "*:Contract_List_For_Out"),     // 服务评审产品列表
	//beego.NSRouter("/Gen_Number", &controllers.ContractReviewController{}, "*:Contract_GenT_number"),    // 生成服务评审编号
	//beego.NSRouter("/Stat", &controllers.ContractReviewController{}, "*:Contract_Stat"),                 // 统计服务评审金额

	beego.AddNamespace(serviceType, serviceItem, contractReview)
}
